## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <hyphenation>

`<hyphenation>` | (Hyphenation) summarizes the way in which hyphenation in a source text has been treated in an encoded version of it.

Attributes

(In addition to global attributes and those inherited from declarable)

`eol` | indicates whether or not end-of-line hyphenation has been retained in a text.
| Datatype: ( all | some | none )

Legal values are:

all | all end-of-line hyphenation has been retained, even though the lineation of the original may not have been.
some | end-of-line hyphenation has been retained in some cases.
hard | all soft end-of-line hyphenation has been removed: any remaining end-od-line hyphenation should be retained.
none | all end-of-line hyphenation has been removed: any remaining hyphenation occurred within the line.

| Default: some

Example

    <hyphenation eol="some">
       <p>End-of-line hyphenation silently removed where appropriate</p>
    </hyphenation>

Module Declared in file teihdr2; Core tag sets: enabled when any TEI base is enabled
Class declarable
Data Description prose
May contain p
May occur within editorialDecl
Declaration

    <!ELEMENT hyphenation %om.RO; (p+)>
    <!ATTLIST hyphenation
          %a.global;
          %a.declarable;
          eol ( all | some | none ) "some">

See further 5.3.3 The Editorial Practices Declaration; 23.3.2 Declarable Elements

Up: 35 Elements